import { z } from 'zod';

declare const ARRAY_SCHEMA: z.ZodArray<z.ZodAny, "many">;
type AnyArray = ReadonlyArray<unknown>;
declare function validateArray(value: unknown): asserts value is AnyArray;
declare function validateArrays(...arrays: AnyArray[]): void;

export { ARRAY_SCHEMA, AnyArray, validateArray, validateArrays };
