declare function areArraysEqual<ValueType>(left: ReadonlyArray<ValueType>, right: ReadonlyArray<ValueType>): boolean;
/**
 * Check whether the arrays has same items, but in a different order.
 */
declare function areArraysItemsSame<ValueType>(left: ReadonlyArray<ValueType>, right: ReadonlyArray<ValueType>): boolean;

export { areArraysEqual, areArraysItemsSame };
