declare function getRandomIndex(length: number): Promise<number>;
declare function getRandomItem<Type = unknown>(array: Array<Type> | readonly Type[]): Promise<Type>;
interface RandomArrayItemsOptions {
    /**
     * A positive integer, with a count of how many random items you want to be picked.
     */
    count: number;
}
/** NOTE: It could create duplicates. */
declare function getRandomItems<Type = unknown>(array: Array<Type> | readonly Type[], options: RandomArrayItemsOptions): Promise<Array<Type>>;

export { getRandomIndex, getRandomItem, getRandomItems };
