import * as zod from 'zod';

declare const EMPTY_ARRAY_SCHEMA: zod.ZodArray<zod.ZodAny, "many">;
type EmptyArray = [];
declare function validateEmptyArray(array: Array<unknown> | readonly unknown[]): asserts array is EmptyArray;
declare function isEmptyArray(array: Array<unknown> | readonly unknown[]): array is EmptyArray;

export { EMPTY_ARRAY_SCHEMA, EmptyArray, isEmptyArray, validateEmptyArray };
