'use strict';

var builtIn = require('@terminal-nerds/snippets-type/built-in');
var zod = require('zod');

var U=["signed","unsigned"],u=builtIn.BUILT_IN_OBJECTS_SCHEMAS.BigInt64Array,R=builtIn.BUILT_IN_OBJECTS_SCHEMAS.BigUint64Array,d={signed:u,unsigned:R};function H(e,r){let{type:t}=r;d[t].parse(e);}function b(e,r){let{type:t}=r;return d[t].safeParse(e).success}var o=zod.z.array(zod.z.any());function i(e){o.parse(e);}function w(...e){for(let r of e)i(r);}var g=o.length(0);function h(e){g.parse(e);}function z(e){return i(e),g.safeParse(e).success}var K=[32,64],_=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Float32Array,l=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Float64Array,T={32:_,64:l};function Q(e,r){let{bit:t}=r;T[t].parse(e);}function V(e,r){let{bit:t}=r;return T[t].safeParse(e).success}var $=["signed","unsigned"],ee=[8,16,32],re=["clamped","standard"],E=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Int8Array,f=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Int16Array,C=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Int32Array,m={8:{standard:E},16:{standard:f},32:{standard:C}},S=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint8Array,Y=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint8ClampedArray,O=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint16Array,F=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint32Array,M={8:{standard:S,clamped:Y},16:{standard:O},32:{standard:F}},y={signed:m,unsigned:M};function B(e){return e==="unsigned"}function c(e){return e===8}function te(e,r){let{type:t,bit:n}=r;if(B(t)&&c(n)){let{clamped:A=!1}=r;y[t][n][A?"clamped":"standard"].parse(e);}else y[t][n].standard.parse(e);}function ne(e,r){let{type:t,bit:n}=r;if(B(t)&&c(n)){let{clamped:A=!1}=r;return y[t][n][A?"clamped":"standard"].safeParse(e).success}else return y[t][n].standard.safeParse(e).success}

exports.ARRAY_SCHEMA = o;
exports.BIGINT64_ARRAY_SCHEMA = u;
exports.BIGINT_ARRAY_SCHEMAS = d;
exports.BIGINT_ARRAY_TYPES = U;
exports.BIGUINT64_ARRAY_SCHEMA = R;
exports.EMPTY_ARRAY_SCHEMA = g;
exports.FLOAT32_ARRAY_SCHEMA = _;
exports.FLOAT64_ARRAY_SCHEMA = l;
exports.FLOAT_ARRAY_BITS = K;
exports.FLOAT_ARRAY_SCHEMAS = T;
exports.INT16_ARRAY_SCHEMA = f;
exports.INT32_ARRAY_SCHEMA = C;
exports.INT8_ARRAY_SCHEMA = E;
exports.INTEGER_ARRAY_BITS = ee;
exports.INTEGER_ARRAY_CATEGORIES = re;
exports.INTEGER_ARRAY_SCHEMAS = y;
exports.INTEGER_ARRAY_TYPES = $;
exports.INT_ARRAY_SCHEMAS = m;
exports.UINT16_ARRAY_SCHEMA = O;
exports.UINT32_ARRAY_SCHEMA = F;
exports.UINT8_ARRAY_SCHEMA = S;
exports.UINT8_CLAMPED_ARRAY_SCHEMA = Y;
exports.UINT_ARRAY_SCHEMAS = M;
exports.is8Bit = c;
exports.isBigIntArray = b;
exports.isEmptyArray = z;
exports.isFloatArray = V;
exports.isIntegerArray = ne;
exports.isUnsigned = B;
exports.validateArray = i;
exports.validateArrays = w;
exports.validateBigIntArray = H;
exports.validateEmptyArray = h;
exports.validateFloatArray = Q;
exports.validateIntegerArray = te;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=schema.cjs.map